Name: icinga-businessprocess
Version: 2.5.0
Release: ubuntu2310.fc39
Summary: Rule-based visualization and monitoring of hierarchical business processes
Group: Productivity/Networking/Web/Frontends

License: GPLv2

URL: https://icinga.com

Source0: icinga-businessprocess-2.5.0.tgz

Requires: icinga-businessprocess-web = 2.5.0-ubuntu2310.fc39

BuildArch: noarch

%description
Icinga Businessprocess offers rule-based visualization and monitoring of hierarchical business processes composed of
objects monitored by Icinga. Create top-level views of applications in a graphical editor.
Rules express dependencies between hosts, services and other processes. Create alerts on application level.
Business processes are displayed in a tree or list overview.

%package web
Summary: Icinga Businessprocess web files

Requires: icingaweb2 >= 2.10.3
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

%description web
Web files for Icinga Businessprocess.

%prep
%autosetup

install -d %_topdir/BUILDROOT/icinga-businessprocess-2.5.0-ubuntu2310.fc39.x86_64/usr/share/icingaweb2/modules/businessprocess
cp -prv * %_topdir/BUILDROOT/icinga-businessprocess-2.5.0-ubuntu2310.fc39.x86_64/usr/share/icingaweb2/modules/businessprocess

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/businessprocess/doc
%license LICENSE
/usr/share/icingaweb2/modules/businessprocess

%post web
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/businessprocess /etc/icingaweb2/enabledModules/businessprocess
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/businessprocess
fi

%changelog
* Wed Jan 24 2024 Icinga GmbH <info@icinga.com> - 2.5.0-ubuntu2310
- Version 2.5.0-ubuntu2310

